# PSF-LoginServer - master - net.psforever.objects.serverobject.terminals.VehicleTerminalDefinition
PSF - LoginServer - master - net.psforever.objects.serverobject.terminals.VehicleTerminalDefinition
Keywords: PSF LoginServer master net.psforever.objects.serverobject.terminals.VehicleTerminalDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  package capture
  Definition Classes
    terminals
-  package implant
  Definition Classes
    terminals
- CaptureTerminals
- EquipmentTerminalDefinition
- GeneratorTerminalDefinition
- MatrixTerminalDefinition
- MedicalTerminalDefinition
- OrderTerminalDefinition
- ProximityDefinition
- ProximityTerminal
- ProximityTerminalControl
- ProximityTerminalDefinition
- ProximityUnit
- Terminal
- TerminalControl
- TerminalDefinition
- VehicleTerminalDefinition

o

net.psforever.objects.serverobject.terminals

# VehicleTerminalDefinition

###

#### object VehicleTerminalDefinition

Source
  VehicleTerminalDefinition.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleTerminalDefinition
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def MakeVehicle(vdef: VehicleDefinition)(): Vehicle

   Create a new `Vehicle` from provided `VehicleDefinition` objects.

   Create a new `Vehicle` from provided `VehicleDefinition` objects.

   vdef

     the `VehicleDefinition` object

   returns

     a curried function that, when called, creates the `Vehicle`

   Attributes
     protected
   See also

     `GlobalDefinitions`

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val bfrVehicles: Map[String, () => Vehicle]

   A `Map` of operations for producing a ground-based `Vehicle` specific to the bfr terminal.

   A `Map` of operations for producing a ground-based `Vehicle` specific to the bfr terminal. key - an identification string sent by the client value - a curried function that builds the object

7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  val flight1Vehicles: Map[String, () => Vehicle]

    A `Map` of operations for producing most flight-based `Vehicle`.

    A `Map` of operations for producing most flight-based `Vehicle`. key - an identification string sent by the client value - a curried function that builds the object

12.  val flight2Vehicles: Map[String, () => Vehicle]

    A `Map` of operations for producing a flight-based `Vehicle` specific to the dropship terminal.

    A `Map` of operations for producing a flight-based `Vehicle` specific to the dropship terminal. key - an identification string sent by the client value - a curried function that builds the object

13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val groundVehicles: Map[String, () => Vehicle]

    A `Map` of operations for producing a ground-based `Vehicle`.

    A `Map` of operations for producing a ground-based `Vehicle`. key - an identification string sent by the client value - a curried function that builds the object

15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  val trunk: Map[String, Loadout]

    A `Map` of the default contents of a `Vehicle` inventory, called the trunk.

    A `Map` of the default contents of a `Vehicle` inventory, called the trunk. key - an identification string sent by the client (for the vehicle) value - a curried function that builds the object

23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped